ASN2ALL(1)

NAME
asn2all - generate reports from ASN.1 biological data

SYNOPSIS
asn2all [-] [-A acc] [-T] [-X] [-a type] [-b] [-c] [-d path] [-f format] [-h] [-i filename] [-k] [-l] [-n policy] [-o filename] [-p path] [-r] [-v filename] [-x ext]

DESCRIPTION
asn2all is primarily intended for generating reports from the binary ASN.1 Bioseq-set release files downloaded from the NCBI ftp site (ncbi-asn1 directory). It can produce GenBank and GenPept flatfiles, FASTA sequence files, INSDSet structured XML, TinySeq XML, and Sequin-style 5-column feature tables.

The release files (which have the extension .aso.gz) should be uncompressed with gunzip(1), resulting in files with the extension .aso. For example, gbpri1.aso is the first file in the primate division, and the command

    gunzip gbpri1.aso.gz

will result in gbpri1.aso being created. The original gbpri1.aso.gz file is removed after successful decompression.

In asn2all, the name of the file to be processed is specified by the -i command line argument. Use -a t to indicate that it is a release file and -b to indicate that it is binary ASN.1. A text ASN.1 file obtained from Entrez can be processed by using -a a instead of -a t -b.

Nucleotide and protein records can be processed simultaneously. Use the -o argument to indicate the nucleotide output file, and the -v argument for the protein output file.

The -f argument determines the format to be generated, and is documented in more detail (along with other options) in the following section.

OPTIONS
A summary of options is included below.

-   Print usage message

-A acc
    Accession to fetch

-T  Use Threads

-X  EXtended qualifier output

-a type
    Input ASN.1 type:
    a   Automatic (default)
    z   Any
    e   Seq-entry
    b   Bioseq
    s   Bioseq-set
    m   Seq-submit
    t   batch processing (suitable for official releases; autodetects specific type)

-b  Bioseq-set is Binary

-c  Bioseq-set is Compressed

-d path
    Path to indexed binary ASN.1 Data

-f format
    Output Format:
    g   GenBank/GenPept (default)
    f   FASTA
    d   CDS FASTA
    t   Sequin-style 5-column feature table
    y   TinySet XML (akin to FASTA)
    s   INSDSet XML (akin to GenBank/GenPept)
    a   structurally equivalent text ASN.1
    x   structurally equivalent XML
    c   cache components

-h  Display extra Help message

-i filename
    Input file name (standard input by default)

-k  Enable local fetching

-l  Lock components in advance

-n policy
    Near FASTA policy:
    a   All
    n   Near only (default)
    f   Far only

-o filename
    Nucleotide Output file name

-p path
    Path to files

-r  Enable Remote fetching

-v filename
    Protein output file name

-x ext
    File selection suffix when working with entire directories. (default is .aso)

EXAMPLES
The command

      asn2all -i gbpri1.aso -a t -b -f g -o gbpri1.nuc -v gbpri1.prt

will generate GenBank and GenPept reports from gbpri1.aso.

AUTHOR
The National Center for Biotechnology Information.

SEE ALSO
asn2asn(1), asn2ff(1), asn2fsa(1), asn2gb(1), asn2idx(1), asn2xml(1), asndhuff(1), gene2xml(1), gunzip(1).